<div class="split-page">
  <div no-border class="bar-header">
    <button-back class="back-button"></button-back>
    <div class="center">
      <img src="assets/images/password.png" class="center">
      <div class="ion-text-center main-page-title">
        Set Password
      </div>
    </div>
  </div>
  <ion-content class="page-content">
    <div class="page-content">

      <ion-grid class="actual-content">
        <ion-row>
          <ion-col>
            <div class="ion-text-center headings">
              <p *ngIf="form!='editForm'"> You may want to secure your account with a password</p>
              <br>
              <p *ngIf="form=='editForm'">
                Once you change password, Your session will end and need to Login again.
              </p>
            </div>
          </ion-col>
        </ion-row>
        <div style="text-align: center;margin-top: 3%;">
          <form [formGroup]="ProfileForm">
            <div class="forms">
              <div style="margin-bottom: 3%;margin-top: 3%;">
                <ion-input type="password" placeholder="Password" class="inputstyle " formControlName="password">
                </ion-input>
              </div>

            </div>
            <div class="forms">
              <div style="margin-bottom: 3%;margin-top: 3%;">
                <ion-input type="password" placeholder="Confirm Password" class="inputstyle " formControlName="password2">
                </ion-input>
              </div>
            </div>
          </form>
        </div>
        <ion-row>
          <ion-col>
            <div class="ion-text-center btnm">
              <!-- <button mat-flat-button size="large" slot="end" style="width: 50%;" class="paz" (click)="submitPassword()"
          [disabled]="ProfileForm.invalid || ProfileForm.controls.password.value!=ProfileForm.controls.password2.value"
          type="submit">SUBMIT</button> -->
              <button type="button" (click)="submitPassword()" class="ion-btn">Submit</button>

            </div>
          </ion-col>
        </ion-row>
      </ion-grid>

    </div>

  </ion-content>
</div>